                      sh404SEF for Joomla 1.0.x changelog


                         (02/01/09 22:33 - build #356)



--------------------------------------------------------------------------------
 [2009-01-02] Version 1.3.9 (build 355)
--------------------------------------------------------------------------------

2009-01-02
     [bug] Insert h1 tags not compatible with Insert read more links
           Tracker #29
2008-11-10
     [chg] New (nicer) outgoing links images. Thanks Clarisse at
           http://sitewebstudio.com
           Tracker #52
2008-10-19
     [chg] Security check : alpha-num variables now can also be underscore (_) -
           mostly for virtuemart
2008-10-13
     [new] Allows creating custom url if sef already exists
           Tracker #36
2008-10-03
     [new] Changed filename of Very advanced settings to match that of joomla
           1.5.x version. Also allowed smooth upgrading
2008-09-26
     [chg] The virtuemart exception : allow a dot (.) when checking vars to be
           alpha num, to allow page=shop.browse
2008-09-22
     [new] Virtuemart : products in multiple categories can now have urls to
           each category. Can be switched in Very advanced configuration
2008-07-10
     []    Updated to 1.3.8
     []    Updated version to 1.3.7
     []    Added : sef url for Filter product hack
2008-07-09
     []    Added : search for aliases with or without query string (allow Google
           clid and alias)
2008-07-06
     []    Fixed bug in www/non-www redirection
2008-06-23
     []    Updated Russian language file (tr. by Dmitry Asanaeif
     []    Fixed VM plugin for VM 1.1, according to
           http://forum.virtuemart.net/index.php?topic=39913.0
     []    Updatd Dutch language, by Marieke www.dutchjoomla.org
     []    Updated version number to 1.3.6
     []    Fixed German language file for Fireboard
2008-06-09
     []    Fixed myblog plugin, as per
           http://extensions.siliana.com/forums/index.php?topic=9136.0. Thanks
           to Mark@azrul.com
2008-05-17
     []    Reformatted source using Eclipse
2008-05-16
     []    Use same version string format as 1.5.x version
2008-05-15
     []    Prevented www/nonwww redirect when there is some POST data
     []    Fixed warning in configuration if no content category defined
2008-05-08
     []    Added display of cache hits and misses stats
     []    Fixed bug in cache manager due to html_entity encoding introduced in
           1.3.4
           Added optional display of cache hits and misses
2008-05-05
     []    Fixed bug causing notices errors (and maybe more ?)
2008-05-01
     []    Fixed bug in handling NON-sef url with quotes in them
     []    Fixed missing global declaration in newsportal plugin
     []    Removed unneeded global declaration
     []    Fixed bug saving meta tags when coming from Meta management page
     []    Fixed bug in saving custom URL
2008-04-25
     []    Updated date and version number to 1.3.5
     []    Added call to htmlspecialchars before writing NON-sef url to url
           cache. Some extensions leave quotes in their non-sef, causing errors
           when cache is read from disk
2008-04-09
     []    Increased 404 page editor area
     []    updated to 1.3.4
     []    Protected against destroying config data when calling saveConfig from
           non-form situation (like when switching interface levels)
     []    Removed duplicate language string causing notice error
2008-04-08
     []    Fixed typo
     []    Included changelog.txt file in build
     []    Protected default.sef.php param file, upon upgrading
     []    Auto-redirect of outbound links is not a 303 instead of 301
2008-04-02
     []    Fixed : mosGetParam would prevent changing the 404 page
2008-04-01
     []    Improved compat with other extensions : replace ob_end_clean with
           ob_clean.
           Still does not work on some servers with GZip on though
     []    Improved handling of /index.php to / redirect : fixed bug in
           multilingual sites
           and added a param to disable it alltogether in case server does not
           provide correct URI
     []    Improved security checks by handling & passed as &amp;
     []    Improved Sobi2 plugin, sponsored by Sean at http://themebot.com
     []    Removed params, now in default.sef.php file
     []    Added handling of new alpha var, in latest version of Mtree
     []    Added new DeepPockets SEF URL plugin
     []    Updated to handle new "Very advanced" config tab
           Added default.sef.php file
     []    Updated language strings for new "Very advanced" config tab
     []    Replaced old logo by new, thanks to Chris at Joomlajunkie.com
2008-03-23
     []    Updated readme and some links to go to new support site domaon
           (extensions.siliana.com)
2008-03-19
     []    Set language auto detect to off by default
2008-03-18
     []    Fixed potential bug with search engine detection when user agent
           string is empty
     []    Added deeppckets plugin
           Fixed myblog plugin for missing dashboard new items
2008-03-08
     []    Changed to 1.3.2
     []    Fixed mising " in control panel
           Added Cache ttl, with params
           Fixed html in Michael Pagler's changes
2008-03-04
     []    Fixed big bug : we did not wheck for 404 before saving a new homepage
           in other than default lang to the DB
2008-03-01
     []    Updated German language as per traduction of Michael Pagler
           Added germani.php and germanf.php and updated install xml file
     []    Integrated xhtml compliance in backend by Michael Pagler
           (info@joomx.com)
2008-02-29
     []    Fixed big bug : $SERVER['REQUEST_URI'] was wrongly set : included
           mosConfig_live_site, where it should not!
           Added some data inside ip and user agent white and black list, to
           avoid warning from j! installer on empty file
2008-02-23
     []    Added some files to svn::ignore
2008-02-21
     []    Fixed a bug
     []    Added insertion of symbol on outbound links
2008-02-17
     []    Fixed stupid bug in com_smf plugin
2008-02-16
     []    bug fix in shCustomTags
           Ajout de gestion d'un itemid par défaut
2008-02-13
     []    Missing lang string in Hungarian language
2008-02-09
     []    Added version at beg. of debug log file
2008-02-05
     []    Removed BOM from Russian.php file : this does not work with ant
           conversion to cp1251 function
     []    Changed default setting for redirect outbound links to internal url
           to off
2008-01-31
     []    Added SEF URL aliases
           Fixed display bug in backend (showing ;)
           Added : outgoing links are now made internal, with a 301 redirect
2008-01-27
     []    Updated language files
           Fixed various problems in new SEF to SEF 301 redirect handling
2008-01-26
     []    Fixed French language file
           Partially fixed Italian language file
           Backend for entering aliases for common URL (not for homepage)
2008-01-24
     []    Aded basic mechanism for redirecting from aliases
     []    Started adding alias feature : created DB table, install and
           uninstall functions
     []    Added redirect from URL with trailing slash to same without trailing
           slash if it exists
     []    Allowed correct display of mosmsg when using /index.php?/ rewrite
           mode (was putting & instead of ? as separator)
2008-01-21
     []    shInitiliazePlugin can now return false if somponent is not
           installed. Added a check on this value, and immediate return without
           tyring to build the URL
2008-01-20
     []    Added protection agains non-sef or Jooml sef auto-redirect to sef if
           component is not installed but plugin exists. May cause DB errors
           which can display user related information
     []    Changed URL disk cache format to reduce memory footprint. Also sped
           up url lookup
2008-01-18
     []    Added string to build URL for Virtuemart regular search
           (&Search=Search)
           Added $lang to list of variable checked for protocol presence
2008-01-14
     []    Added defined constant to prevent trying to guess user language and
           303 redirect. Set in sh404sef.class.php
     []    Fixed various bugs in page title and description cleaning
     []    Fixed home page detection bug : was using $my->id instead of $my->gid
           (and $access should be <= instead of >=)
2008-01-10
     []    Fixed notice error when redefining constants
2008-01-04
     []    Set log file to svn:ignore
     []    Fixed small admin bug
           Changed Sobi2 URL string for Searching, so that it is different from
           that of standard Joomla Search URL
2008-01-03
     []    Language file fixes for VM
           Removed debug display instructions
2008-01-01
     []    Updated Dutch lang file with latest translations
     []    Fixed fireabord language file : inverted delete and edit language
           strings
     []    Fixed #279 : use mosGetParam in meta_ext plugins, instead of relying
           on global variables
2007-12-30
     []    Added: first try to read meta plugin from extension directory, before
           using built-in. Comply with same Override settings than URl plugins
     []    Solved joomfish language selection problem
           Various small bug fixes
2007-12-26
     []    Added logging information
           Added source switch to force NOn-sef url if super admin is logged in
2007-12-21
     []    Added a few log to file debugging information
     []    Added strings for new debug log file param
           Fixed bug in redirect to J!SEF : URL needs to be sorted before being
           sent to sefRelToAbs so that there is alwasy 'component/option' in the
           URL, and so that I can catch any infinite loop
2007-12-20
     []    Various small fixes
     []    Added debug logger (and activation backend param)
           fixed HTTP_ACCEPT_LANGUAGE missing from some requests, would generate
           a NOTICE and possibly a blank page.
           Note that Joomfish 1.7 has the same problem
           Added a few loggin calls, must add more
2007-12-12
     []    Fixed ' in Hungarian language files
2007-12-11
     []    Updated language files for new params : append and prepend a text to
           page title tag
           Changed shCustomtags to do that.
     []    Replaced back &amp; by & in title
     []    Added display of config, cache, log, security file status (writeable
           or not) in main control panel
     []    Added a couple of comments
     []    bug #267 : prevent redirecting index2.php to home (breaks xajax and
           probably other ajax stuf)
2007-12-10
     []    Updated translations with new Dutch version, by Marieke van der Tuin
2007-12-09
     []    Removed calls to ob_end_flush, etc. Cause blank page if error_dislay
           is on
2007-12-08
     []    Merged com_smf branch
2007-12-07
     []    Fixed potential error in com_comprofiler
           Added : security detailed stats only available in extended display
2007-12-06
     []    Ignored log files out of svn
     []    Added display of security stats in backend
2007-11-30
     []    Fixed mambo compat when calliing initGZip in shCustomtags
2007-11-26
     []    Fixed pssible notice error in CB plugin
     []    Added one char to strip list
     []    Added changing of componentheading in h1 as well. If componentheading
           exists, contentheading is now h2 instead of h1
2007-11-25
     []    Added checking of presence of short code if Joomfish 1.8. Many times,
           it''l be empty, so use iso instead
     []    Added param to disallow checking of script, base64, config vars in
           POST data, for forums, etc
2007-11-24
     []    Fixed bug in Docman plugin, when using licence acceptance
           Small html fixes in Contro panel
2007-11-23
     []    Fixed the fix in control panel html !Thanks Joe on support forum for
           this fix
     []    Fixed short tag in control panel code
           Fixed bug in getMenuTitle : $sql could be empty
2007-11-21
     []    Changes to improve handling of drop-down list to select nuber of
           items per page. Added one param (for Virtuemart) to revert to
           previous behavior, so that people not using these drop-down can keep
           their URL
     []    Fixed drop-down lists for number of items per page only for
           Virtuemart. Need to add a bacekdn param, instead of configuration
     []    Moved log files out of svn
     []    Changes to allow setting the port in the query. Would not work
           otherwise in somtehig like localhost:8888/sil_base.
2007-11-20
     []    #251 : bad html in shTextParamHTML() and shYesNoParamHTML()
     []    #252: was using ->$defaultComponentStringList instead of
           ->defaultComponentStringList, on many occasions
2007-11-19
     []    Bug #249 : warning display upon loading configuration security vars
           Changed version to 1.3.1.RC
2007-11-18
     []    Updated readme
2007-11-17
     []    Missing / in remove config upon upgrade when erasing backup config
           file
     []    Fixed missing closing ] in hungarian plugins language
     []    Minor change
2007-11-16
     []    Fixed bug : current non sef URl was not sorted before being compared
           to home link, so sometimes homepage meta would not be displayed
     []    Hungariani.php had wrong enconding for some reason
     []    Updated Hungarian strings en encoding (to UTF-8, for main language
           files)
2007-11-15
     []    Updated Italian language, thanks to kykoo
2007-11-14
     []    Fixed table tags in configuration html
2007-11-13
     []    Just cleaing some old unused comments
2007-11-10
     []    Replaced " with ' in custom description. Still need some work as they
           can't be correctly input from sh404SEF backend
     []    Moved shredirect to sh404sef.class.php
2007-11-09
     []    Added params for multiple h1, insert no followw in print and pdf and
           insert title in read more
2007-11-07
     []    Fixed title insert in read more link when several articles and some
           do not have read more links
     []    Fixed inclusion of readme file from control panel, not working
     []    As per tip on forum, replaced use of urldecode/urlencode by
           rawurlencode/rawurldecode, to avoid + being decoded into spaces
     []    Small changes in backend, trials in reducing admin.sef.html.php size
           by putting redundant stuff in functions
2007-11-01
     []    Fixed: inlcusion of ant script replacement string would break local
           running
     []    Fixed bug #246 : bad redirection when missing trailing slash
2007-10-31
     []    Changes to allow automatic insertio of version and build number in
           sh404sef.class.php by Ant script
2007-10-30
     []    Fixed adding title to linkable titles, and adding title to Read more
           links. Would not work on many combinations of params
2007-10-29
     []    Updated $Id$ tag
     []    Set keywords id property
     []    Added : Add title to Read more links
           Added : add title attributes to Read mmore links and hyperlinked
           title of content elments
           Added : replace h1 tags by h2 tags if there are more than one h1 tag
           in a page
           Fixed : if content element titles were not hyperlinks, h1 tag would
           not be properly set
     []    Disabled tentative at improved user language detection - really not
           working !
     []    Added protection against empty $option in getMenuTitle()
2007-10-27
     []    Renamed mosSEF class to shMosSef, to avoid conflict with mambo own
           mosSEF class
     []    Fixed bug #242
     []    Improved handling of Forced home page (splash page) : removed
           trailing slash, causing issues with some hosts
     []    Added nofollow rel to pdf and print links generated by Joomla (in
           shCustomtags)
2007-10-26
     []    Updated version numbers to x - PR3
2007-10-25
     []    Updated Russian translation
     []    Merged back dual level admin branch
2007-10-21
     []    Fixed login/logout bug when using com login component page
     []    Changed default value from 6 to 10 requests per second as anti-flood
           limit
     []    Added some files to svn:ignore
     []    Fixed login/logout bug, where POST option value was overwritten when
           retrieving SEF URL, in other than default language
2007-10-20
     []    Made sure IP white listing has priority over other ip control
           (anti-flood, Project Honey pot) to allow operation from behind a
           company firewall for instance
     []    Fixed missing $ infront of Itemid in Docman plugin. Would cause
           "docman" to be used instead of menu item name
     []    Changed default anti-flood value from 4 per 10 seconds to 6 per 10
           seconds
2007-10-19
     []    Fixed name change in sef.xml (sh404sef.class.php)
2007-10-18
     []    Changed name of sef.class.php to sh404sef.class.php/ not fully
           committed first time
     []    Changed name of sef.class.php to sh404sef.class.php
2007-10-17
     []    Changed pagination handling for Virtuemart so as to allow operation
           of Display # drop-down list and get back to first page
2007-10-16
     []    Added Joomfish version detection to use either iso (V 1.7) or
           shortcode (V1.8) DB field for insertion in URL
2007-10-15
     []    Fixed small details in email sending to admin for attack information
     []    Added sending an email to admin when an attack is logged on the site
           (optional, set by a constant in sef.class.php)
     []    Fixed #231 : added $Itemid to call to getMenuTitle(), in case same
           comp is reached from several menu items when using foreign
           sef_ext.php file
     []    Tentative fix : mod_shCustomtags : replace ob_start('gz_handler') by
           a call to initGzip() to fix compat issues with other extensions
           Fixed: Virtuemart plugin : $shAppendRemainingGETVars used instead of
           $sefConfig->shAppendRemaining... in checkout process
           Fixed: admin.sef.php : $sort variable may not always be initialized
           when viewing Dupicate URLs
2007-10-11
     []    Added : use Page-x-y format for page numbering for all comp. Governed
           by a constant in sef.class.php
           Added : left / trim of URl before trying to revert it from DB
     []    Fixed: have . as a replacement char
2007-10-10
     []    Added a few items to svn:ignore
     []    Fixed small bug in nokkaew class inclusion in shInitlanguageList
     []    Fixing manip error
2007-10-09
     []    Importing as a try to fix svn/ missing .svn files on disk
           Improved mambo/nokkaew compat.
           Nokkaew uses fr_FR instead of 'french' when forcing translation +
           other small checks
           1 Missing lang string in language files
     []    trying to fix svn
2007-10-07
     []    Fixed added " in h1 replacement regexp, from Lindsay Bigelow at
           omba.org
     []    Fixed language files encoding, back to CP 1252, except for
           russian.php, left in UTF-8
2007-10-05
     []    Finalized per component prefix
           Integrated latest russian translation
           Added per language page numbering template string (before was unique
           for whole site)
2007-10-04
     []    Added a sample 404 static page template
     []    Added static 404 page
           Added inclusion of component prefix set by user (80% of plugins
           done)
           Converted all text files (language strings) to UTF-8
2007-10-02
     []    Added backend handling of individual prefix for each installed
           component
           Added compatibility code to transfer old prefix (before was possible
           to set prefix for a few comp, those with native plugins) to new
           params
           Converted all main languages files to UTF-8 (plugin languages files
           not done yet)
2007-10-01
     []    Fixed: bad variable name in com_profiler plugin
2007-09-30
     []    Added backend param to enter a default initial URL fragment per
           component.
           Added use of this param for foreign plugins (sef_ext.php)
           Not added for native plugins as requires removal of older params and
           write of backward compatibility code
     []    Added backend param to have a default string per component at beg. of
           URL
     []    Updtated language files with per language backend strings
2007-09-29
     []    Added unused files to svn:ignore
     []    Merged per language url translation and insert code branch at
           revision 67
           Removed old debug information ('echo xxx') from main files
2007-09-26
     []    Fixed bug : removing meta tag would result in also remmoving an sef
           URL (with the same cid)
     []    Fixed Fireboard plugin bug : shFBCategoryName() was called without
           passing $shLangName as parameter, thus resulting in bad translation
     []    Removed inclusion of MTree config file in Mtree sef ext plugin : has
           changed in MTree 2.00 and not needed anyway
2007-09-25
     []    Fixed notice error on clean install as log dir does not exists in
           /media
     []    titleToLocation: protected against empty replacement character + #
           signs now replaced by replace char, as it breaks anchor management
     []    Fixed useless /index.php/ on homelink if default language
     []    Prevent antiflood to fire up on current request
     []    Fixed bug in security parameters input html
2007-09-24
     []    Added anti-flood to security section, plus a few params to control it
           in backend
2007-09-23
     []    Added missing strings : _SH404SEF_MYBLOG_VIEW  and
           _SH404SEF_MYBLOG_USERBLOG
2007-09-22
     []    Bug fix : meta export would not work, as function was not called due
           to bad param in function call
2007-09-21
     []    Importing in trying to fix transaction out of date error

                         (02/01/09 22:33 - build #356)
